petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSNESGetPicard

get SNES Picard iteration evaluation functions

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESGetPicard(DM dm,PetscErrorCode (**b)(SNES,Vec,Vec,void*),PetscErrorCode (**J)(SNES,Vec,Mat,Mat,void*),void **ctx)

Not Collective Many br

### Input Argument

dm -DM to be used with SNES Many br

### Output Arguments

| b | - RHS evaluation function; see SNESFunction for details Many br
| J | - RHS evaluation function; see SNESJacobianFunction for detailsa Many br
| ctx | - context for residual evaluation Many br

Many br

### See Also

DMSNESSetContext(), SNESSetFunction(), DMSNESSetJacobian()

Level:advanced
Location:src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages